/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
   \\    /   O peration     |
    \\  /    A nd           | www.openfoam.com
     \\/     M anipulation  |
-------------------------------------------------------------------------------
    Copyright (C) 2019 OpenCFD Ltd.
-------------------------------------------------------------------------------
License
    This file is part of OpenFOAM.

    OpenFOAM is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    for more details.

    You should have received a copy of the GNU General Public License
    along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.

Namespace
    Foam::expressions::patchExpr

Description
    Namespace for patch expressions parsing and evaluation

\*---------------------------------------------------------------------------*/

#ifndef expressions_patchExprFwd_H
#define expressions_patchExprFwd_H

namespace Foam
{
namespace expressions
{
namespace patchExpr
{

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

// Forward Declarations
class parser;
class scanner;
class parseDriver;
union scanToken;

//- Static debugging option
extern int debug;


//- The field association for patch expressions (mutually exclusive)
enum FieldAssociation : unsigned char
{
    NO_DATA = 0,         //!< No data
    POINT_DATA = 1,      //!< Point data
    SURFACE_DATA = 2     //!< Surface data
};


// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

} // End namespace patchExpr

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

//- Typedef for patchExpr parseDriver
typedef patchExpr::parseDriver patchExprDriver;


// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
} // End namespace expressions
} // End namespace Foam


// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

#endif

// ************************************************************************* //
